package com.cygnussource.microservice.example.service;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

@Produces({MediaType.APPLICATION_JSON})
@Path("/example")
public class TestService {
    
    @GET
    @Path("/sum")
    public Result sum(@QueryParam("n1") Integer numberOne, @QueryParam("n2") Integer numberTwo) throws Exception {
        return new Result(numberOne + numberTwo);
    }
    
}
